#include "moacon500.h"
#include <math.h> 

#include "mdisplay.h"

static void MD_OnError(MD_Status status)
{
	printf("M Display: Error - 0x%04X\r\n", status);
}

void cmain ()
{
	//Uncomment to change timeout or protocol
	//--------------------------------------------
	// MD_SetTimeout(1000);
	// MD_SetProtocol(MD_Protocol_Binary);
	// MD_EnableChecksum();
	
	MD_SetOnError(MD_OnError);
	MD_OpenCom(0, 115200, com8N1);
	
	//MD_CreateLayer(0, 0, 100, 100, 1);

   while(1)
   {	
		MD_DisableFlush();
		MD_Clear();
		MD_Color(0xFFFFFF);
		MD_DrawLine(0, 0, 800, 480);
		MD_DrawRectangle(100, 100, 600, 280);
		MD_FillCircle(400, 240, 100);
		MD_Color(0x0000FF);
		MD_FillText(360, 250, "Hello");
		MD_EnableFlush();
		
		MD_DisableFlush();
		MD_Clear();
		MD_Color(0x00FF00);
		MD_DrawLine(800, 0, 0, 480);
		MD_DrawRectangle1(100, 100, 600, 280, 20);
		MD_FillEllipse(400, 240, 150, 100);
		MD_Color(0xFF00FF);
		MD_FillText(360, 250, "Hello");
		MD_EnableFlush();

   }
}
